from fastapi import Request
from folkugat_web.api import router
from folkugat_web.fragments import temes
from folkugat_web.services import auth
from folkugat_web.templates import templates


@router.get("/temes")
def page(request: Request, logged_in: auth.LoggedIn):
    return templates.TemplateResponse(
        "index.html",
        {
            "request": request,
            "page_title": "Folkugat",
            "content": "/api/content/temes",
            "logged_in": logged_in,
            "animate": False,
        }
    )


@router.get("/api/content/temes")
def content(request: Request, logged_in: auth.LoggedIn):
    return temes.temes_pagina(request, logged_in)


@router.get("/api/temes/busca")
def busca(request: Request, query: str, logged_in: auth.LoggedIn):
    return temes.temes_busca(request, query, logged_in)
